diff --git a/src/core/ipv4/acd.c b/src/core/ipv4/acd.c
index bd75925e..d1ae55e1 100644
--- a/src/core/ipv4/acd.c
+++ b/src/core/ipv4/acd.c
@@ -430,7 +430,7 @@ acd_handle_arp_conflict(struct netif *netif, struct acd *acd)
      the netif but the LL address is still open in the background. */
 
   if (acd->state == ACD_STATE_PASSIVE_ONGOING) {
-    /* Imediatly back off on a conflict. */
+    /* Immediately back off on a conflict. */
     LWIP_DEBUGF(ACD_DEBUG | LWIP_DBG_TRACE | LWIP_DBG_STATE,
       ("acd_handle_arp_conflict(): conflict when we are in passive mode -> back off\n"));
     acd_stop(acd);
diff --git a/src/core/ipv4/etharp.c b/src/core/ipv4/etharp.c
index 9d7bf299..26dde61c 100644
--- a/src/core/ipv4/etharp.c
+++ b/src/core/ipv4/etharp.c
@@ -7,7 +7,7 @@
  * requests from other machines for our physical address.
  *
  * This implementation complies with RFC 826 (Ethernet ARP). It supports
- * Gratuitious ARP from RFC3220 (IP Mobility Support for IPv4) section 4.6
+ * Gratuitous ARP from RFC3220 (IP Mobility Support for IPv4) section 4.6
  * if an interface calls etharp_gratuitous(our_netif) upon address change.
  */
 
diff --git a/src/core/ipv6/dhcp6.c b/src/core/ipv6/dhcp6.c
index 002f688d..ecf569a8 100644
--- a/src/core/ipv6/dhcp6.c
+++ b/src/core/ipv6/dhcp6.c
@@ -579,7 +579,7 @@ dhcp6_handle_config_reply(struct netif *netif, struct pbuf *p_msg_in)
 }
 #endif /* LWIP_IPV6_DHCP6_STATELESS */
 
-/** This function is called from nd6 module when an RA messsage is received
+/** This function is called from nd6 module when an RA message is received
  * It triggers DHCPv6 requests (if enabled).
  */
 void
@@ -645,7 +645,7 @@ dhcp6_parse_reply(struct pbuf *p, struct dhcp6 *dhcp6)
       /* overflow */
       return ERR_BUF;
     }
-    /* copy option + length, might be split accross pbufs */
+    /* copy option + length, might be split across pbufs */
     op_len = (u8_t *)pbuf_get_contiguous(p, op_len_buf, 4, 4, offset);
     if (op_len == NULL) {
       /* failed to get option and length */
diff --git a/src/core/ipv6/nd6.c b/src/core/ipv6/nd6.c
index 9cafd483..abc98cd9 100644
--- a/src/core/ipv6/nd6.c
+++ b/src/core/ipv6/nd6.c
@@ -1165,7 +1165,7 @@ nd6_tmr(void)
 
 /** Send a neighbor solicitation message for a specific neighbor cache entry
  *
- * @param entry the neightbor cache entry for wich to send the message
+ * @param entry the neightbor cache entry for which to send the message
  * @param flags one of ND6_SEND_FLAG_*
  */
 static void
diff --git a/src/core/tcp.c b/src/core/tcp.c
index d34f0e8c..b1481792 100644
--- a/src/core/tcp.c
+++ b/src/core/tcp.c
@@ -502,7 +502,7 @@ tcp_close(struct tcp_pcb *pcb)
  * @ingroup tcp_raw
  * Causes all or part of a full-duplex connection of this PCB to be shut down.
  * This doesn't deallocate the PCB unless shutting down both sides!
- * Shutting down both sides is the same as calling tcp_close, so if it succeds
+ * Shutting down both sides is the same as calling tcp_close, so if it succeeds
  * (i.e. returns ER_OK), the PCB must not be referenced any more!
  *
  * @param pcb PCB to shutdown
@@ -1908,7 +1908,7 @@ tcp_alloc(u8_t prio)
     pcb->tmr = tcp_ticks;
     pcb->last_timer = tcp_timer_ctr;
 
-    /* RFC 5681 recommends setting ssthresh abritrarily high and gives an example
+    /* RFC 5681 recommends setting ssthresh arbitrarily high and gives an example
     of using the largest advertised receive window.  We've seen complications with
     receiving TCPs that use window scaling and/or window auto-tuning where the
     initial advertised window is very small and then grows rapidly once the
diff --git a/src/include/lwip/apps/httpd_opts.h b/src/include/lwip/apps/httpd_opts.h
index 573eb86c..4fae46fe 100644
--- a/src/include/lwip/apps/httpd_opts.h
+++ b/src/include/lwip/apps/httpd_opts.h
@@ -94,7 +94,7 @@
  *
  * To save memory, the maximum tag length is limited (@see LWIP_HTTPD_MAX_TAG_NAME_LEN).
  * To save memory, the maximum insertion string length is limited (@see
- * LWIP_HTTPD_MAX_TAG_INSERT_LEN). If this is not enought, @ref LWIP_HTTPD_SSI_MULTIPART
+ * LWIP_HTTPD_MAX_TAG_INSERT_LEN). If this is not enough, @ref LWIP_HTTPD_SSI_MULTIPART
  * can be used.
  */
 #if !defined LWIP_HTTPD_SSI || defined __DOXYGEN__
diff --git a/src/include/lwip/apps/mdns_priv.h b/src/include/lwip/apps/mdns_priv.h
index 10f44e8b..5209ba00 100644
--- a/src/include/lwip/apps/mdns_priv.h
+++ b/src/include/lwip/apps/mdns_priv.h
@@ -143,7 +143,7 @@ struct mdns_outmsg {
   /** If legacy query. (tx_id needed, and write
    *  question again in reply before answer) */
   u8_t legacy_query;
-  /** If the query is a probe msg we need to respond immediatly. Independent of
+  /** If the query is a probe msg we need to respond immediately. Independent of
    *  the QU or QM flag. */
   u8_t probe_query_recv;
   /* Question bitmask for host information */
diff --git a/src/include/lwip/apps/netbiosns_opts.h b/src/include/lwip/apps/netbiosns_opts.h
index 1f51ab02..cc0da952 100644
--- a/src/include/lwip/apps/netbiosns_opts.h
+++ b/src/include/lwip/apps/netbiosns_opts.h
@@ -42,7 +42,7 @@
 
 /** NetBIOS name of lwip device
  * This must be uppercase until NETBIOS_STRCMP() is defined to a string
- * comparision function that is case insensitive.
+ * comparison function that is case insensitive.
  * If you want to use the netif's hostname, use this (with LWIP_NETIF_HOSTNAME):
  * (ip_current_netif() != NULL ? ip_current_netif()->hostname != NULL ? ip_current_netif()->hostname : "" : "")
  *
diff --git a/src/include/lwip/apps/snmp.h b/src/include/lwip/apps/snmp.h
index db9f51b8..dc5bb0d0 100644
--- a/src/include/lwip/apps/snmp.h
+++ b/src/include/lwip/apps/snmp.h
@@ -50,7 +50,7 @@ extern "C" {
 #include "lwip/err.h"
 #include "lwip/apps/snmp_core.h"
 
-/** SNMP variable binding descriptor (publically needed for traps) */
+/** SNMP variable binding descriptor (publicly needed for traps) */
 struct snmp_varbind
 {
   /** pointer to next varbind, NULL for last in list */
diff --git a/src/include/lwip/apps/snmp_mib2.h b/src/include/lwip/apps/snmp_mib2.h
index 2f4a6893..453e5195 100644
--- a/src/include/lwip/apps/snmp_mib2.h
+++ b/src/include/lwip/apps/snmp_mib2.h
@@ -60,7 +60,7 @@ extern struct snmp_threadsync_instance snmp_mib2_lwip_locks;
 #define SNMP_SYSSERVICES ((1 << 6) | (1 << 3) | ((IP_FORWARD) << 2))
 #endif
 
-void snmp_mib2_set_sysdescr(const u8_t* str, const u16_t* len); /* read-only be defintion */
+void snmp_mib2_set_sysdescr(const u8_t* str, const u16_t* len); /* read-only be definition */
 void snmp_mib2_set_syscontact(u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize);
 void snmp_mib2_set_syscontact_readonly(const u8_t *ocstr, const u16_t *ocstrlen);
 void snmp_mib2_set_sysname(u8_t *ocstr, u16_t *ocstrlen, u16_t bufsize);
diff --git a/src/include/lwip/apps/snmp_threadsync.h b/src/include/lwip/apps/snmp_threadsync.h
index a25dbf2d..76f11182 100644
--- a/src/include/lwip/apps/snmp_threadsync.h
+++ b/src/include/lwip/apps/snmp_threadsync.h
@@ -72,7 +72,7 @@ struct threadsync_data
   struct snmp_node_instance proxy_instance;
 };
 
-/** Thread sync instance. Needed EXCATLY once for every thread to be synced into. */
+/** Thread sync instance. Needed EXACTLY once for every thread to be synced into. */
 struct snmp_threadsync_instance
 {
   sys_sem_t                       sem;
diff --git a/src/include/lwip/arch.h b/src/include/lwip/arch.h
index 599b658f..fb1508c7 100644
--- a/src/include/lwip/arch.h
+++ b/src/include/lwip/arch.h
@@ -74,7 +74,7 @@
 
 /** Platform specific diagnostic output.<br>
  * Note the default implementation pulls in printf, which may
- * in turn pull in a lot of standard libary code. In resource-constrained
+ * in turn pull in a lot of standard library code. In resource-constrained
  * systems, this should be defined to something less resource-consuming.
  */
 #ifndef LWIP_PLATFORM_DIAG
@@ -85,7 +85,7 @@
 
 /** Platform specific assertion handling.<br>
  * Note the default implementation pulls in printf, fflush and abort, which may
- * in turn pull in a lot of standard libary code. In resource-constrained
+ * in turn pull in a lot of standard library code. In resource-constrained
  * systems, this should be defined to something less resource-consuming.
  */
 #ifndef LWIP_PLATFORM_ASSERT
diff --git a/src/include/lwip/opt.h b/src/include/lwip/opt.h
index 488adf63..879a067c 100644
--- a/src/include/lwip/opt.h
+++ b/src/include/lwip/opt.h
@@ -2832,7 +2832,7 @@
  *         the first 'opt1len' bytes and the rest starts at 'opt2'. opt2len can
  *         be simply calculated: 'opt2len = optlen - opt1len;'
  * - p: input packet, p->payload points to application data (that's why tcp hdr
- *      and options are passed in seperately)
+ *      and options are passed in separately)
  * Return value:
  * - ERR_OK: continue input of this packet as normal
  * - != ERR_OK: drop this packet for input (don't continue input processing)
diff --git a/src/include/lwip/prot/acd.h b/src/include/lwip/prot/acd.h
index e6f0dc80..860cae5b 100644
--- a/src/include/lwip/prot/acd.h
+++ b/src/include/lwip/prot/acd.h
@@ -73,7 +73,7 @@ typedef enum {
    * that stay active even if the netif has a routable address selected.
    * In such a case, we cannot defend our address */
   ACD_STATE_PASSIVE_ONGOING,
-  /* To many conflicts occured, we need to wait before restarting the selection
+  /* To many conflicts occurred, we need to wait before restarting the selection
    * process */
   ACD_STATE_RATE_LIMIT
 } acd_state_enum_t;
diff --git a/src/include/netif/ppp/magic.h b/src/include/netif/ppp/magic.h
index a165e18f..12a002cd 100644
--- a/src/include/netif/ppp/magic.h
+++ b/src/include/netif/ppp/magic.h
@@ -94,7 +94,7 @@ extern "C" {
 void magic_init(void);
 
 /*
- * Randomize our random seed value.  To be called for truely random events
+ * Randomize our random seed value.  To be called for truly random events
  * such as user operations and network traffic.
  */
 void magic_randomize(void);
diff --git a/src/include/netif/ppp/ppp_impl.h b/src/include/netif/ppp/ppp_impl.h
index 40843d5a..c84160dc 100644
--- a/src/include/netif/ppp/ppp_impl.h
+++ b/src/include/netif/ppp/ppp_impl.h
@@ -265,7 +265,7 @@ extern int       maxoctets_timeout;  /* Timeout for check of octets limit */
 #define PPP_OCTETS_DIRECTION_IN         1
 #define PPP_OCTETS_DIRECTION_OUT        2
 #define PPP_OCTETS_DIRECTION_MAXOVERAL  3
-/* same as previos, but little different on RADIUS side */
+/* same as previous, but little different on RADIUS side */
 #define PPP_OCTETS_DIRECTION_MAXSESSION 4
 #endif
 
diff --git a/src/netif/ppp/chap_ms.c b/src/netif/ppp/chap_ms.c
index 5a989c9b..b4d7c7fb 100644
--- a/src/netif/ppp/chap_ms.c
+++ b/src/netif/ppp/chap_ms.c
@@ -33,7 +33,7 @@
  *
  *   Implemented LANManager type password response to MS-CHAP challenges.
  *   Now pppd provides both NT style and LANMan style blocks, and the
- *   prefered is set by option "ms-lanman". Default is to use NT.
+ *   preferred is set by option "ms-lanman". Default is to use NT.
  *   The hash text (StdText) was taken from Win95 RASAPI32.DLL.
  *
  *   You should also use DOMAIN\\USERNAME as described in README.MSCHAP80
diff --git a/src/netif/ppp/ipcp.c b/src/netif/ppp/ipcp.c
index b7c766eb..a9c0f1f7 100644
--- a/src/netif/ppp/ipcp.c
+++ b/src/netif/ppp/ipcp.c
@@ -1537,7 +1537,7 @@ static int ipcp_reqci(fsm *f, u_char *inp, int *len, int reject_if_disagree) {
     next = inp;
     while (l) {
 	orc = CONFACK;			/* Assume success */
-	cip = p = next;			/* Remember begining of CI */
+	cip = p = next;			/* Remember beginning of CI */
 	if (l < 2 ||			/* Not enough data for CI header or */
 	    p[1] < 2 ||			/*  CI length too small or */
 	    p[1] > l) {			/*  CI length too big? */
@@ -1589,7 +1589,7 @@ static int ipcp_reqci(fsm *f, u_char *inp, int *len, int reject_if_disagree) {
 	     * If he doesn't know our address, or if we both have our address
 	     * but disagree about it, then NAK it with our idea.
 	     */
-	    GETLONG(tl, p);		/* Parse desination address (ours) */
+	    GETLONG(tl, p);		/* Parse destination address (ours) */
 	    ciaddr2 = lwip_htonl(tl);
 	    if (ciaddr2 != wo->ouraddr) {
 		if (ciaddr2 == 0 || !wo->accept_local) {
diff --git a/src/netif/ppp/ipv6cp.c b/src/netif/ppp/ipv6cp.c
index 11c18df7..34134e46 100644
--- a/src/netif/ppp/ipv6cp.c
+++ b/src/netif/ppp/ipv6cp.c
@@ -913,7 +913,7 @@ static int ipv6cp_reqci(fsm *f, u_char *inp, int *len, int reject_if_disagree) {
     next = inp;
     while (l) {
 	orc = CONFACK;			/* Assume success */
-	cip = p = next;			/* Remember begining of CI */
+	cip = p = next;			/* Remember beginning of CI */
 	if (l < 2 ||			/* Not enough data for CI header or */
 	    p[1] < 2 ||			/*  CI length too small or */
 	    p[1] > l) {			/*  CI length too big? */
diff --git a/src/netif/ppp/lcp.c b/src/netif/ppp/lcp.c
index 90ed183b..12df8aa2 100644
--- a/src/netif/ppp/lcp.c
+++ b/src/netif/ppp/lcp.c
@@ -1855,7 +1855,7 @@ static int lcp_reqci(fsm *f, u_char *inp, int *lenp, int reject_if_disagree) {
     rejp = inp;
     while (l) {
 	orc = CONFACK;			/* Assume success */
-	cip = p = next;			/* Remember begining of CI */
+	cip = p = next;			/* Remember beginning of CI */
 	if (l < 2 ||			/* Not enough data for CI header or */
 	    p[1] < 2 ||			/*  CI length too small or */
 	    p[1] > l) {			/*  CI length too big? */
diff --git a/src/netif/ppp/magic.c b/src/netif/ppp/magic.c
index d0d87c5e..21911af9 100644
--- a/src/netif/ppp/magic.c
+++ b/src/netif/ppp/magic.c
@@ -196,7 +196,7 @@ u32_t magic(void) {
 /*** LOCAL DATA STRUCTURES ***/
 /*****************************/
 #ifndef LWIP_RAND
-static int  magic_randomized;       /* Set when truely randomized. */
+static int  magic_randomized;       /* Set when truly randomized. */
 #endif /* LWIP_RAND */
 static u32_t magic_randomseed;      /* Seed used for random number generation. */
 
@@ -231,7 +231,7 @@ void magic_init(void) {
  * magic_init - Initialize the magic number generator.
  *
  * Randomize our random seed value.  Here we use the fact that
- * this function is called at *truely random* times by the polling
+ * this function is called at *truly random* times by the polling
  * and network functions.  Here we only get 16 bits of new random
  * value but we use the previous value to randomize the other 16
  * bits.
@@ -254,9 +254,9 @@ void magic_randomize(void) {
  * Return a new random number.
  *
  * Here we use the Borland rand() function to supply a pseudo random
- * number which we make truely random by combining it with our own
- * seed which is randomized by truely random events.
- * Thus the numbers will be truely random unless there have been no
+ * number which we make truly random by combining it with our own
+ * seed which is randomized by truly random events.
+ * Thus the numbers will be truly random unless there have been no
  * operator or network events in which case it will be pseudo random
  * seeded by the real time clock.
  */
diff --git a/src/netif/ppp/pppoe.c b/src/netif/ppp/pppoe.c
index 971b36b3..6e90c869 100644
--- a/src/netif/ppp/pppoe.c
+++ b/src/netif/ppp/pppoe.c
@@ -132,7 +132,7 @@ static void pppoe_clear_softc(struct pppoe_softc *, const char *);
 /* internal timeout handling */
 static void pppoe_timeout(void *);
 
-/* sending actual protocol controll packets */
+/* sending actual protocol control packets */
 static err_t pppoe_send_padi(struct pppoe_softc *);
 static err_t pppoe_send_padr(struct pppoe_softc *);
 #ifdef PPPOE_SERVER
diff --git a/test/unit/api/test_sockets.c b/test/unit/api/test_sockets.c
index aca31f6e..3faa5ff9 100644
--- a/test/unit/api/test_sockets.c
+++ b/test/unit/api/test_sockets.c
@@ -254,7 +254,7 @@ static void test_sockets_msgapi_update_iovs(struct msghdr *msg, size_t bytes)
 
   /* note: this modifies the underyling iov_base and iov_len for a partial
      read for an individual vector. This updates the msg->msg_iov pointer
-     to skip fully consumed vecotrs */
+     to skip fully consumed vectors */
   
   /* process fully consumed vectors */
   for (i = 0; i < msg->msg_iovlen; i++) {
diff --git a/test/unit/dhcp/test_dhcp.c b/test/unit/dhcp/test_dhcp.c
index d9a48591..f838b42d 100644
--- a/test/unit/dhcp/test_dhcp.c
+++ b/test/unit/dhcp/test_dhcp.c
@@ -297,7 +297,7 @@ static err_t lwip_tx_func(struct netif *netif, struct pbuf *p)
 
         check_pkt(p, 278, magic_cookie, sizeof(magic_cookie));
 
-        /* Check dchp message type, can be at different positions */
+        /* Check dhcp message type, can be at different positions */
         if (txpacket == 1) {
           u8_t dhcp_discover_opt[] = { 0x35, 0x01, 0x01 };
           check_pkt_fuzzy(p, 282, dhcp_discover_opt, sizeof(dhcp_discover_opt));
@@ -390,7 +390,7 @@ static err_t lwip_tx_func(struct netif *netif, struct pbuf *p)
 
         check_pkt(p, 278, magic_cookie, sizeof(magic_cookie));
 
-        /* Check dchp message type, can be at different positions */
+        /* Check dhcp message type, can be at different positions */
         if (txpacket == 1) {
           u8_t dhcp_discover_opt[] = { 0x35, 0x01, 0x01 };
           check_pkt_fuzzy(p, 282, dhcp_discover_opt, sizeof(dhcp_discover_opt));
@@ -449,7 +449,7 @@ static err_t lwip_tx_func(struct netif *netif, struct pbuf *p)
 
         check_pkt(p, 278, magic_cookie, sizeof(magic_cookie));
 
-        /* Check dchp message type, can be at different positions */
+        /* Check dhcp message type, can be at different positions */
         check_pkt_fuzzy(p, 282, dhcp_request_opt, sizeof(dhcp_request_opt));
         break;
       }
diff --git a/test/unit/tcp/test_tcp.c b/test/unit/tcp/test_tcp.c
index 89ea0309..3560879a 100644
--- a/test/unit/tcp/test_tcp.c
+++ b/test/unit/tcp/test_tcp.c
@@ -1607,7 +1607,7 @@ START_TEST(test_tcp_persist_split)
 #if TCP_OVERSIZE_DBGCHECK
   /* Split segment already transmitted, should be at 0 */
   EXPECT(pcb->unacked->oversize_left == 0);
-  /* Remainder segement should match pcb value (which is 0) */
+  /* Remainder segment should match pcb value (which is 0) */
   EXPECT(pcb->unsent->oversize_left == pcb->unsent_oversize);
 #endif /* TCP_OVERSIZE_DBGCHECK */
 #endif /* TCP_OVERSIZE */
-- 
2.20.1

